#ifndef BUTTONS_H
#define BUTTONS_H

#include "types.h"

#define NUM_BUTTONS			8
#define KEY_RETURN			(PORTAbits.RA4)
#define TRIS_KEY_RETURN		(TRISAbits.TRISA4)

#define BUTTON1		0x01
#define BUTTON2		0x02
#define BUTTON3		0x04
#define BUTTON4		0x08
#define BUTTON5		0x10
#define BUTTON6		0x20
#define BUTTON7		0x80
#define BUTTON8		0x40

extern void sendShiftRegister(BYTE);
void initButtons(void);
int checkButtons(void);

#endif
